package com.keyware.shandan.datasource.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 连接类型
 *
 * @author GuoXin
 * @since 2021/8/8
 */
@Getter
@AllArgsConstructor
public enum ConnType {
    /**
     * jdbc连接
     */
    JDBC("java.sql.Driver"),
    /**
     * hadoop连接
     */
    HADOOP("org.apache.hadoop.security.token.TokenIdentifier"),
    OTHER("");
    private final String spiDesc;
}
